| Home | Libraries | People | FAQ | More

# Error_Source Class Reference

Inherited by Async_Read_Stream, Async_Write_Stream, Sync_Read_Stream, and Sync_Write_Stream.

Inheritance diagram for Error_Source:

List of all members.

## Detailed Description

Error source concept.

Implemented By:
  boost::asio::basic_deadline_timer
  boost::asio::basic_datagram_socket
  boost::asio::basic_locking_dispatcher
  boost::asio::basic_socket_acceptor
  boost::asio::basic_stream_socket
  boost::asio::buffered_read_stream
  boost::asio::buffered_write_stream
  boost::asio::buffered_stream
  boost::asio::ipv4::basic_host_resolver
  boost::asio::ssl::stream

## Public Types

typedef implementation_defined | error_type
| The type used for reporting errors.

## Member Typedef Documentation

typedef implementation_defined Error_Source::error_type

The type used for reporting errors.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff